#include <string.h>
#include "defines.h"
#include "mcolors.h"
#include "res.h"
#include "astring.h"

int SetCol(unchar *buff,MCOLORS *col)
/* 色データ読み込み -> 構造体代入 */
/* リターン値：色が足りている=0 , 足りない=1 */
{
unsint acol[NMCOLORS];
int i,j=0;
unsint cl;
unchar line[TRESMAX];
	do {
		i=1;
		while (GetToken(buff,i++,line,", \t")) { /* １色データ読みだし */
			/* OR指定対応色読みだし */
			cl=ReadCol1(line);
			if (cl==0xffff) return(-1); /* 色データエラー */
			acol[j++]=cl;
		}
		buff+=(strlen(buff)+1); /* EOSも含めてskip */
	} while (*buff!=0); /* 0x00,00で終わり */
	/* 結果の代入 */
	if (j==NMCOLORS) memcpy(col,acol,sizeof(MCOLORS));
	return(j!=NMCOLORS);
}
